# AutoCRUD 檔案

歡迎來到 AutoCRUD 的檔案！

AutoCRUD 是一個強大的 Python 函式函式庫，能夠自動為你的資料模型產生完整的 CRUD (建立、讀取、更新、刪除) API。支援多種資料模型格式、儲存後端和序列化方式。

## 主要特性

- 🚀 **自動 API 產生**: 基於資料模型自動產生 FastAPI routing
- 🔄 **多模型支援**: 支援在單個應用中管理多個不同的資料模型
- 📦 **多種資料格式**: 支援 Pydantic、Dataclass、TypedDict
- 💾 **彈性儲存**: 支援記憶體儲存和磁碟持久化
- 🔧 **多種序列化**: JSON、Pickle、MessagePack
- 🎯 **高度可設定**: 自訂資源名稱、ID 產生器等
- 📖 **自動檔案**: 自動產生 OpenAPI/Swagger 檔案

```{toctree}
:maxdepth: 2
:caption: 內容:

quickstart
installation
user_guide
api_reference
examples
contributing
changelog
```

## 索引和表格

- {ref}`genindex`
- {ref}`modindex`
- {ref}`search`
